Qt Reference Documentation

# anim_gallery.css Example File

webkit/webkit-guide/css/anim_gallery.css

     /****************************************************************************
     **
     ** Copyright (C) 2012 Nokia Corporation and/or its subsidiary(-ies).
     ** All rights reserved.
     ** Contact: Nokia Corporation (qt-info@nokia.com)
     **
     ** This file is part of the Qt WebKit module of the Qt Toolkit.
     **
     ** $QT_BEGIN_LICENSE:BSD$
     ** You may use this file under the terms of the BSD license as follows:
     **
     ** "Redistribution and use in source and binary forms, with or without
     ** modification, are permitted provided that the following conditions are
     ** met:
     **   * Redistributions of source code must retain the above copyright
     **     notice, this list of conditions and the following disclaimer.
     **   * Redistributions in binary form must reproduce the above copyright
     **     notice, this list of conditions and the following disclaimer in
     **     the documentation and/or other materials provided with the
     **     distribution.
     **   * Neither the name of Nokia Corporation and its Subsidiary(-ies) nor
     **     the names of its contributors may be used to endorse or promote
     **     products derived from this software without specific prior written
     **     permission.
     **
     ** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
     ** "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     ** LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
     ** A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
     ** OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
     ** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
     ** LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
     ** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
     ** THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
     ** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
     ** OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."
     ** $QT_END_LICENSE$
     **
     ****************************************************************************/

     body {
         font-family             : sans-serif;
         background              : #444444;
     }
     .gallery > div > div {
         border-radius           : 1.0em;
         padding                 : 1em;
         background              : #dddddd;
         min-height              : 75%;
     }
     .gallery > div {
         -webkit-transition      : all 0.5s ease-in-out;
         z-index                 : 0;
         position                : absolute;
         top                     : 2.0em;
         bottom                  : 2.0em;
         left                    : 2.0em;
         right                   : 2.0em;
     }
     .gallery > div.selected {
         -webkit-transform       : translate(0) scale(1);
         opacity                 : 1.0;
         z-index                 : 1;
     }
     .gallery > div.queueR {
         -webkit-transform       : translate(70%) scale(0.5);
         opacity                 : 0.75;
     }
     .gallery > div.queueL {
         -webkit-transform       : translate(-70%) scale(0.5);
         opacity                 : 0.75;
     }
     .gallery > div.hideR {
         -webkit-transform       : translate(200%) scale(0.5);
         opacity                 : 0.0;
     }
     .gallery > div.hideL {
         -webkit-transform       : translate(-200%) scale(0.5);
         opacity                 : 0.0;
     }
     .gallery img {
         max-width               : 100%;
         max-height              : 100%;
         border-radius           : 1.0em;
     }

     .gallery > #reveal > div, .gallery > div > img {
         -webkit-transform       : scaleX(1) scaleY(1);
         -webkit-transition      : -webkit-transform 0.25s ease-out 0.25s;
     }
     .gallery > div > div, .gallery > #reveal > img {
         -webkit-transform       : scaleX(0) scaleY(1);
         -webkit-transition      : -webkit-transform 0.25s ease-out;
     }

     section > div {
         text-align              : center;
     }

     section > div > img {
         display                 : inline-block;
     }

     section > div > div {
         position                : absolute;
         top                     : 0;
         left                    : 1.5em;
         right                   : 1.5em;
     }